**@openfin/web-interop** • [API](../../../README.md)

***

[@openfin/web-interop](../../../README.md) / [@openfin/web-interop](../README.md) / InheritModeConnectConfig

# Type alias: InheritModeConnectConfig

> **InheritModeConnectConfig**: `Object`

## Type declaration

### connectionInheritance

> **connectionInheritance**: `"enabled"`

If 'enabled', connection option inheritance is enabled if the current browsing context is
a nested browsing context within an `<of-view>` element. This means that the brokerUrl and Identity
of the connection will be determined by the parent browsing context. Specifying a value is mandatory.

### options?

> **`optional`** **options**: [`BaseConnectionOptions`](BaseConnectionOptions.md)

Options used to connect to an OpenFin Web Broker. Please note, these will be overriden if connection inheritance
is enabled and supported for the current browsing context.

### validateOptions()?

> **`optional`** **validateOptions**: (`inheritedOptions`) => `boolean` \| `Promise`\<`boolean`\>

Validates the inherited connection options from the parent browsing context, if available.

#### Parameters

• **inheritedOptions**: `Omit`\<[`BaseConnectionOptions`](BaseConnectionOptions.md), `"timeout"`\>

Inherited options

#### Returns

`boolean` \| `Promise`\<`boolean`\>
